Note: Audit Report APIs are not available for trial users. A subscription is required to access these features. Please contact help@protecto.ai for assistance.
Overview #
This method provides details of API calls (mask, unmask, async) made by a specific user within the specified time period with status(Success or Failure)
This API endpoint retrieves the user-level summary of a namespace, including the logged-in time.
HTTP Method #
GET
Endpoint #
/reports/namespace-users-summary
Headers #
Authorization:"Bearer <ADMIN_USER_AUTH_KEY>"
Query Parameters #
namespace(required): The namespace, which is the user database name.start_date(required): The start date and time for the report. Format should be"YYYY-MM-DD HH:MM:SS". For example:"2024-05-21 00:00:00".end_date(required): The end date and time for the report. Format should be"YYYY-MM-DD HH:MM:SS". For example:"2024-05-22 23:59:59".next_page_token(optional): Used to paginate the data. By default, it will be empty. If there is more data,next_page_tokenwill be sent through the API response. For subsequent requests, use the previous response’snext_page_tokento navigate further.
Example Request #
GET https://<domain>/api/vault/reports/namespace-users-summary?namespace=protecto_vault&start_date=2024-05-21 00:00:00&end_date=2024-05-22 23:59:59&next_page_token=
Response Format #
{
"data": {
"details": [
{
"date": "2024-05-28",
"api_type": "/mask",
"status": "success",
"user": "liam.lewis@example.com",
"logged_in_time": 66059.915689
}
],
"next_page_token": "eyJwYWdlX3NpemUiOiA1LCAicGFnZV9ubyI6IDEsICJ0b3RhbF9wYWdlcyI6IDJ9"
},
"success": true,
"error": {
"message": ""
}
}
Response Fields
data: An object containing the namespace user details and pagination information.details: A list of user-level namespace summary objects.date: The date of the summary.api_type: The API type of the summary.status: The status of the API calls.user: The email of the user.logged_in_time: The logged-in time of the user in seconds.
next_page_token: A token used for paginating to the next page of data.
success: A boolean indicating if the request was successful.error: An object containing error details, if any.message: A message describing the error.
Notes #
- Ensure that the
Authorizationheader contains a valid admin user auth key. - The
namespace,start_date, andend_datequery parameters must be provided and in the correct format to avoid errors. - Use the
next_page_tokenfrom the response for paginating through large datasets. If there is nonext_page_tokenin the response, it indicates that there are no additional pages.